function [U,V] = calBRF(P)
% IN  : P = coordinates of the voxel  in the frame (C,nr,np,ns)
% OUT : Induced RF field components in the laboratory frame

global r0;  % Radius of the sphere
global delta;
global B1;
global nr; global np; global ns; global C;

rho = sqrt(P'*P);
if rho<r0 % we compute the field inside the sphere
  U=[0,0,0];
  V=[0,0,0];
else     % we compute the field outside the sphere
  CP=P(1)*nr+P(2)*np+P(3)*ns;
  x=C(1)+CP(1);
  y=C(2)+CP(2);
  z=C(3)+CP(3);
  U(1) = r0^3*(3*B1*x^2/rho^5 - B1/rho^3);
  U(2) = 3*r0^3*B1*x*y/rho^5;
%  U(3) = 3*r0^3*B1*x*z/rho^5;
  U(3) = 0;% on neglige devant B0
  V(1) = 3*r0^3*B1*x*y/rho^5;
  V(2) = r0^3*(3*B1*y^2/rho^5 - B1/rho^3);
%  V(3) = 3*r0^3*B1*y*z/rho^5;
   V(3) = 0 ;% on neglige devant B0
end

